header_helpers.hpp File Reference
`#include <array>`
`#include <numeric>`
`#include <restinio/buffers.hpp>`

Go to the source code of this file.

## Namespaces

namespace | restinio
namespace | restinio::impl

## Enumerations

enum class | restinio::impl::content_length_field_presence_t : std::uint8_t { restinio::impl::add_content_length , restinio::impl::skip_content_length }

## Functions

template<std::size_t N>
constexpr std::size_t | restinio::impl::ct_string_len (const char(&)[N]) noexcept
| Compile time c-string length. More...
std::size_t | restinio::impl::calculate_approx_buffer_size_for_header (const http_response_header_t &h) noexcept
| Calculate buffer size that is enough for serializing the buffer. More...
std::string | restinio::impl::create_header_string (const http_response_header_t &h, content_length_field_presence_t content_length_field_presence=content_length_field_presence_t::add_content_length, std::size_t buffer_size=0)
| Creates a string for http response header. More...
auto | restinio::impl::create_not_implemented_resp ()
auto | restinio::impl::create_timeout_resp ()